# Features in Fedora/Free Electronic Lab
#   Supported targets: F-15, F-16 and rawhide

# Tested against: SSD1289 controller on Arduino Mega 2560

%define module ITDB02_Graph16

Name:           arduino-ITDB02-Graph16
Version:        4.20
Release:        1%{?dist}
Summary:        16-bit library to use 3.2" TFT LCD Screen Module

License:        GPLv2+
URL:            http://henningkarlsen.com/electronics/library.php?id=39

# Fedora doesn't ship unrar
#Source0:       http://henningkarlsen.com/electronics/download.php?f=ITDB02_Graph16.rar

# unrar x ITDB02_Graph16.rar
# tar cjf ~/rpmbuild/SOURCES/ITDB02_Graph16-4.20.tar.bz2 ITDB02_Graph16
Source0:        %{module}-%{version}.tar.bz2     

Requires:       arduino
BuildArch:      noarch

%description
This library provides support for Arduino to use the 3.2" TFT LCD Screen Module.

Supported controllers:
- HX8347-A
- ILI9325D
- ILI9327
- SSD1289

Compatibility:
- Arduino Duemilanove w/ATmega168
- Arduino Duemilanove w/ATmega328
- Arduino Uno
- Arduino Mega
- Arduino Mega2560

%prep
%setup -q -n %{module}

# Remove windows executable
rm -rf Tools

# Fix progmem issue while compiling
sed -i "s|uint8_t|const uint8_t|g" DefaultFonts.c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/arduino/libraries/%{module}
cp -pr examples %{module}.h %{module}.cpp DefaultFonts.c keywords.txt \
    %{buildroot}%{_datadir}/arduino/libraries/%{module}


%files
%doc ITDB02_Graph16.pdf ITDB02_Graph16_Supported_display_modules.pdf version.txt LICENSE.txt
%{_datadir}/arduino/libraries/%{module}


%changelog
* Fri Feb 10 2012 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 4.20-1
- Initial release
